antlr4ts-cli

0.5.0-alpha.4 • Public • Published

antlr4ts-cli -- TypeScript/JavaScript target code generator for ANTLR 4

Copyright 2016 The ANTLR Project. All rights reserved.

Licensed under the BSD-3-Clause license. See LICENSE file in the project root for license information.

Stability 1 - Experimental. ⚠️
This feature was introduced recently, and may change or be removed in the future.

#Installation

npm install -g antlr4ts-cli

You may also install a copy of this local to your package using this command:

npm install --save-dev antlr4ts-cli

This is a NPM wrapper of a ANTLR 4 code generation tool for TypeScript. The actual tool is written in Java, so you will need to have a modern version of Java (>= JRE 1.6) to use it. One installed, this command may be used for more information:

antlr4ts

For general See general information about ANTLR see http://www.antlr.org

Readme

Keywords

Package Sidebar

Install

npm i antlr4ts-cli

Weekly Downloads

44,230

Version

0.5.0-alpha.4

License

BSD-3-Clause

Unpacked Size

1.85 MB

Total Files

6

Last publish

Collaborators

  • burt_harris
  • sharwell